Setup:System requirements

For a trouble-free installation of BlueSpice in current version 2.27.2 we recommend the following system requirements:

MediaWiki

  • Version 1.27.x

Browser

  • Internet Explorer 11 or higher (without compatibility view)
  • Microsoft Edge
  • Google Chrome
  • Firefox 38 or higher

Server Environment

  • Operating System: Microsoft Windows Server 2008+ or Linux (established distributions)
  • Webserver: Apache 2+, IIS 7+
  • PHP 5.6 to 7.0
  • MySQL 5.4+ or MariaDB 10+
  • Main Memory: > 4 GB (depends on the usage)
  • Hard Drive: > 10 GB (depends on the planned storage of data)
  • CPU: 2 GHz+ (Dual Core or higher recommended)
  • Apache Tomcat 8 (for ExtendedSearch, VisualDiff, Math renderer and PDF export)
  • Java 8+

Database Access

  • Host/IP adress and port
  • User name and password for root user (Create/Drop statements) and wiki user (has possibly been created during the MediaWiki installation)
  • Name of the database
  • The table prefix of the database

Archive: System Requirements of Older BlueSpice Versions

Read in another language